CC33XX API Documentation 2.30.00.15

Files | Macros | Functions | Variables
init_adapt

This porting file provides the adaptation layer for the host interface. More...

## Files
file | init_adapt.c
| init_adapt porting file

## Macros
#define | WLAN_IRQ_GPIO_INTR_NUM (CSLR_R5FSS0_CORE0_INTR_MAIN_GPIOMUX_INTROUTER0_OUTP_8)
#define | TISCI_BANK_SRC_IDX_BASE_GPIO0 (90U)
| bank interrupt source index base
#define | TISCI_BANK_SRC_IDX_BASE_GPIO1 (90U)
#define | TISCI_BANK_SRC_IDX_BASE_MCU_GPIO0 (90U)

## Functions
void | sleep (uint32_t sec)
void | Board_gpioInit (void)
void | Board_gpioDeinit (void)
uint32_t | Board_getGpioWlanIntrNum (void)
void | Wlan_IRQ_init (void *cb)
| Initialize the input GPIO as IRQ. More...
void | Wlan_IRQ_deinit ()
| Removes input GPIO from the system interrupts. More...
void | Wlan_IRQ_enable_int ()
| Wlan enable input interrupt. More...
void | Wlan_IRQ_disable_int ()
| Wlan disable input interrupt. More...
void | Wlan_IRQ_clear_int ()
| Wlan clear pending interrupt. More...
void | TurnOff_WL ()
| Use pre-configured output GPIO to turn off Wi-Fi device. More...
void | TurnOn_WL ()
| Use pre-configured output GPIO to turn on Wi-Fi device. More...
int | GetState_WL ()
| Get the state of the pre-configured output GPIO. More...

## Variables
uint32_t | gWlanENGpioAddr = 0
uint32_t | gWlanIRQGpioAddr = 0
HwiP_Object | gWlanIRQHwiObject

## Detailed Description

This porting file provides the adaptation layer for the host interface.

## Function Documentation

## § GetState_WL()

int GetState_WL | ( |  | ) |

Get the state of the pre-configured output GPIO.

Note

Returns
  0 for off, and 1 for on

Warning

## § TurnOff_WL()

void TurnOff_WL | ( |  | ) |

Use pre-configured output GPIO to turn off Wi-Fi device.

Note
  - Must use pre-configured GPIO; set GPIO output to 0 for off, and 1 for on

Returns

Warning

## § TurnOn_WL()

void TurnOn_WL | ( |  | ) |

Use pre-configured output GPIO to turn on Wi-Fi device.

Note
  - Must use pre-configured GPIO; set GPIO output to 0 for off, and 1 for on

Returns

Warning

## § Wlan_IRQ_clear_int()

void Wlan_IRQ_clear_int | ( |  | ) |

Wlan clear pending interrupt.

Note
  Must implement only if working with active low assertion

Returns

Warning

## § Wlan_IRQ_deinit()

void Wlan_IRQ_deinit | ( |  | ) |

Removes input GPIO from the system interrupts.

Note

Returns

Warning

## § Wlan_IRQ_disable_int()

void Wlan_IRQ_disable_int | ( |  | ) |

Wlan disable input interrupt.

Note
  Must implement only if working with active low assertion

Returns

Warning

## § Wlan_IRQ_enable_int()

void Wlan_IRQ_enable_int | ( |  | ) |

Wlan enable input interrupt.

Note
  Must implement only if working with active low assertion

Returns

Warning

## § Wlan_IRQ_init()

void Wlan_IRQ_init | ( | void * | cb | ) |

Initialize the input GPIO as IRQ.

Parameters

  cb | - GPIO ISR called upon assertion

Note
  - If GPIO input is triggered by:
    - Falling edge - not required to implement Wlan_IRQ_enable_int, Wlan_IRQ_disable_int, and Wlan_IRQ_clear_int
    - Active low - must implement Wlan_IRQ_enable_int amd Wlan_IRQ_disable_int

Returns

Warning